import request from '@/utils/request'

// 查询意见建议列表
export function listSuggest(query) {
  return request({
    url: '/system/suggest/list',
    method: 'get',
    params: query
  })
}

// 查询意见建议详细
export function getSuggest(id) {
  return request({
    url: '/system/suggest/' + id,
    method: 'get'
  })
}

// 新增意见建议
export function addSuggest(data) {
  return request({
    url: '/system/suggest',
    method: 'post',
    data: data
  })
}

// 修改意见建议
export function updateSuggest(data) {
  return request({
    url: '/system/suggest',
    method: 'put',
    data: data
  })
}

// 删除意见建议
export function delSuggest(id) {
  return request({
    url: '/system/suggest/' + id,
    method: 'delete'
  })
}
